# -*- coding: ISO-8859-1 -*-
# Copyright 2004 Fundacion Via Libre
#
# This file is part of PAPO.
# 
# PAPO is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# PAPO is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with PAPO; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

from cimarron import getEngine
ui= getEngine ()

from Controllers import Country, Client

class Main (ui.Application):
    def __init__ (self, ui):
        super (Main, self).__init__ ()
        self.ui= ui
        self.mainWin= ui.Window (parent=self, title=u'Luca v?.?.?',sizeRequest=(400,250))

        self.tabbook= ui.Notebook (parent=self.mainWin)
        self.tabbook.setBorderWidth(10)
        
        # Pagina principal        
        principalPage= ui.VBox ()
        principalPage.setSpacing(15)
        principalPage.setBorderWidth(30)
        self.buttons= [
            ui.Button (parent= principalPage,
                       label=u'Consulta de _Paises',
                       value=Country.Main (parent=self),
                       action=self.react),
            ui.Button (parent= principalPage,
                       label=u'Consulta de _Clientes',
                       value=Client.Main (parent=self),
                       action=self.react)
            ]
        self.tabbook.appendPage(principalPage,u'Principal',None)

        # Pagina about 
        aboutPage= ui.Frame ()
        aboutPage.setBorderWidth(30)
        label= ui.Label (parent=aboutPage,
                         label='<b><span size="xx-large">Sistema de Gestion Luca</span></b>\n\n'+
                         'Ejemplo de uso de Cimarron con Modeling \n\n<b>Copyright 2004 - Fundacion Via Libre</b>'
                         ,useMarkup=True, justify='center')
        self.tabbook.appendPage(aboutPage,u'Acerca de',None)
        
    def react (self, *more):        
        more[0].getValue ().show ()
        
    def run (self):
        self.mainWin.show ()
        super (Main, self).run ()
	
